JAVA 7 compatibility problem

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

JAVA 7 compatibility problem

Wolfgang Lenhard
Hi,
I am making heavy use of xstream 1.2.2 and 1.3.1 and it did a fantastic
job during the years. Thank you very much for this. Just the last days,
I tried Java 7 and always get problems deserializing complex object. The
error message:
message             : Cannot construct x.y.z.MyClass as it does not have
a no-args constructor
cause-exception     :
com.thoughtworks.xstream.converters.reflection.ObjectAccessException

With the snapshot I manage to get it running again. Because I already
published a number of programs, it is important for me to know, if the
problem is due to a bug in the new Java 7 (and thus should get fixed in
the next java updates), or if I have to modify all my programs and
switch to xstream 1.4.xxx. If this is the case, do you know, when the
next official release of xstream will be published?

Thank you very much,
     Wolfgang


---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: JAVA 7 compatibility problem

Jörg Schaible-3
Hi Wolfgang,

Wolfgang Lenhard wrote:

> Hi,
> I am making heavy use of xstream 1.2.2 and 1.3.1 and it did a fantastic
> job during the years. Thank you very much for this. Just the last days,
> I tried Java 7 and always get problems deserializing complex object. The
> error message:
> message             : Cannot construct x.y.z.MyClass as it does not have
> a no-args constructor
> cause-exception     :
> com.thoughtworks.xstream.converters.reflection.ObjectAccessException
>
> With the snapshot I manage to get it running again. Because I already
> published a number of programs, it is important for me to know, if the
> problem is due to a bug in the new Java 7 (and thus should get fixed in
> the next java updates), or if I have to modify all my programs and
> switch to xstream 1.4.xxx. If this is the case, do you know, when the
> next official release of xstream will be published?

XStream 1.3.1 simply does not detect Java 7 yet. I'll try to release XStream
1.4 this week.

Cheers,
Jörg


---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: JAVA 7 compatibility problem

panpan2523
This post has NOT been accepted by the mailing list yet.
In reply to this post by Wolfgang Lenhard
ASH Wedge has the character that each delicateness and elegance, and you'll satisfy with it. Just keep in mind, casual tops are like cells. Ash footwear provides shoes and boots in leading quality materials of the finest leathers, ash sneaker heels suedes and patent leather uppers. Top quality oak chocks ought to have tread on the bottom of them to help create more friction.
Reply | Threaded
Open this post in threaded view
|

Re: JAVA 7 compatibility problem

rogerdpack
This post has NOT been accepted by the mailing list yet.
In reply to this post by Jörg Schaible-3
Maybe it could show a warning message "unknown version of java" instead of this rather cryptic message?
Cannot construct org.familysearch.digitalarchive.daxservice.NodeXObj as it does not have a no-args constructor